.dropzone {
  @extend %flexbox;
  @include flex-direction(column);
  @include align-items(center);
}

.dropzone-block {
  @extend %flexbox;
  @include align-items(center);
  .img-block {
    position: relative;
    @extend %flexbox;
    &.wrap {
      @include flex-wrap(wrap);
      form {
        flex-direction: row;
        align-items: center;
      }
    }
  }
}

.web-app,
.ReactModalPortal {
  .img-block {
    order: 1;
  }
  .dropzone {
    border: 1px dashed darken($app-bg-color, 14%);
    padding: 14px 40px;
    background-color: #fff;
    i:before {
      font-size: 40px;
      font-style: normal;
      color: #999;
      font-family: quote($font-icon);
      content: "\E64B";
    }
    span {
      font-size: 14px;
      color: #999;
      font-weight: 600;
      margin-bottom: 6px;
      &::before {
        content: "Déposer vos fichiers ici";
      }
    }
    button {
      color: $btn-color;
      font-size: $btn-size;
      font-weight: $btn-weight;
      padding: $btn-padding;
      border-radius: $btn-radius;
      border-width: $btn-border-width;
      border-style: $btn-border-style;
      border-color: $btn-border-color;
      background-color: $btn-bg-color;
      white-space: nowrap;
      font-size: $btn-small-size;
      padding: $btn-small-padding;
      i {
        font-size: $btn-small-icon-size;
      }
    }
  }
  .dropzone-block {
    img {
      max-width: 160px;
      max-height: 110px;
      margin: 4px 10px;
    }
  }
}

.mobile-app {
  .unique-question {
    .dropzone {
      background-color: $unik-bg-color;
      span:before {
        text-shadow: 0 2px 0 $unik-bg-color, 0 -2px 0 $unik-bg-color, -2px 0 0 $unik-bg-color,
          2px 0 0 $unik-bg-color;
      }
    }
  }
  .dropzone {
    color: #fff;
    padding: 6px 14px 2px;
    background-color: $second-color;
    position: relative;
    border-radius: $global-radius;
    i:before {
      font-size: 40px;
      font-style: normal;
      font-family: quote($font-icon);
      content: "\E704";
    }
    span:before {
      content: "+";
      font-weight: bolder;
      position: absolute;
      top: 2px;
      font-size: 28px;
      right: 7px;
      text-shadow: 0 2px 0 $second-color, 0 -2px 0 $second-color, -2px 0 0 $second-color,
        2px 0 0 $second-color;
    }
    button {
      display: none;
    }
  }
  .dropzone-block {
    @include flex-wrap(wrap);
    img {
      max-width: 100%;
      max-height: 140px;
      margin: 4px 10px;
    }
  }
}

.dropbox {
  .dropzone-block {
    flex-wrap: wrap;
    width: 100%;
  }
  .dropzone {
    @include flex(1 1 100%);
    margin: 8px 0 14px;
    background-color: rgba($app-bg-color, 0.3);
  }
  .img-block {
    @include flex(1 1 100%);
    @include justify-content(space-between);
    padding: 10px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    &:nth-child(even) {
      background-color: rgba($app-bg-color, 0.3);
    }
    &:last-child {
      border-bottom: none;
    }
    a {
      @include flex(1);
      margin-right: 20px;
    }
    img {
      width: 100%;
      max-width: 100%;
      max-height: none;
      margin: 0;
      margin: 0;
      font-size: 15px;
    }
  }

  .file-block {
    @extend %flexbox;
    @include justify-content(space-between);
    @include align-items(center);
    &.wrap {
      @include flex-wrap(wrap);
      form {
        flex-direction: row;
        align-items: center;
      }
    }
    img {
      max-width: 100%;
    }
    a {
      @include flex(1);
    }
    .btn-img {
      @extend %flexbox;
      @include justify-content(center);
      @include align-items(center);
      width: 22px;
      height: 22px;
      color: #fff;
      border-radius: 100%;
      background-color: $first-color;
      &:hover {
        cursor: pointer;
      }
    }
  }
  .file-icon {
    font-family: "Font Awesome 5 Pro";
    font-style: normal;
    font-weight: 300;
    &.file-icon-pdf {
      &:before {
        content: "\f1c1";
      }
    }
    &.file-icon-docx {
      color: #014fcb;
      &:before {
        content: "\f1c2";
      }
    }
    &.file-icon-doc {
      color: #014fcb;
      &:before {
        content: "\f1c2";
      }
    }
    &.file-icon-xlsx {
      color: #13a001;
      &:before {
        content: "\f1c3";
      }
    }
    &.file-icon-xls {
      color: #13a001;
      &:before {
        content: "\f1c3";
      }
    }
  }
  .btn-img {
    position: static;
  }
}
